> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.byteful.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Mobile Ledger

> Retrieves a specific Mobile Ledger based on the provided ID for the current user's account.




## OpenAPI

````yaml get /public/user/mobile_ledger/retrieve/{mobile_ledger_id}
openapi: 3.0.1
info:
  title: Byteful Public User API
  description: Public API used for third-party usage.
  termsOfService: https://byteful.com
  contact:
    url: https://byteful.com
    email: developer@byteful.com
  version: '1.0'
  x-logo:
    altText: Byteful
    backgroundColor: '#6354eb'
    url: >-
      https://pbs.twimg.com/profile_banners/1038803520605118464/1729783007/1500x500
servers:
  - url: https://api.byteful.com/1.0/
security: []
paths:
  /public/user/mobile_ledger/retrieve/{mobile_ledger_id}:
    get:
      tags:
        - Mobile Ledger
      summary: Retrieve Mobile Ledger
      description: >
        Retrieves a specific Mobile Ledger based on the provided ID for the
        current user's account.
      parameters:
        - name: mobile_ledger_id
          in: path
          description: ID of the Mobile Ledger to retrieve
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Mobile Ledger Retrieve
          content:
            application/json:
              schema:
                allOf:
                  - $ref: >-
                      #/components/schemas/MobileLedgerSuccessfulRetrieveResponse
      security:
        - APIPrivateKey: []
          APIPublicKey: []
components:
  schemas:
    MobileLedgerSuccessfulRetrieveResponse:
      type: object
      properties:
        data:
          type: object
          properties:
            customer_id:
              type: integer
              example: 1955
            mobile_ledger_bytes:
              type: integer
              example: 128290101
            mobile_ledger_creation_datetime:
              type: string
              format: date-time
            mobile_ledger_id:
              type: string
              example: 123e4567-e89b-12d3-a456-426614174000
            mobile_ledger_last_update_datetime:
              type: string
              format: date-time
            mobile_ledger_period_date:
              type: string
              example: '2023-10-01'
            mobile_ledger_reason:
              type: string
              example: top_up
            mobile_ledger_requests:
              type: integer
              example: 1244
            service_adjustment_id:
              type: integer
              example: 10
            service_id:
              type: string
              example: API-1234-5678
          description: Retrieved Mobile Ledger item details.
        message:
          type: string
          description: Status message for the retrieval.
      description: Mobile Ledger retrieve was successful.
      example:
        data:
          customer_id: 1955
          mobile_ledger_bytes: 128290101
          mobile_ledger_creation_datetime: '2023-04-01 12:00:00'
          mobile_ledger_id: 123e4567-e89b-12d3-a456-426614174000
          mobile_ledger_last_update_datetime: '2023-04-02 12:00:00'
          mobile_ledger_period_date: '2023-10-01'
          mobile_ledger_reason: top_up
          mobile_ledger_requests: 1244
          service_adjustment_id: 10
          service_id: API-1234-5678
        message: Mobile Ledger successfully retrieved.
  securitySchemes:
    APIPrivateKey:
      type: apiKey
      description: ' Private API key for user-level authentication.'
      name: X-API-Private-Key
      in: header
    APIPublicKey:
      type: apiKey
      description: ' Public API key for user-level authentication.'
      name: X-API-Public-Key
      in: header

````